import { ChatPermissions } from '@airgram-dev/core';
/**
 * The user is under certain restrictions in the chat. Not supported in basic groups
 * and channels
 */
export declare class ChatMemberStatusRestrictedBaseModel {
    _: 'chatMemberStatusRestricted';
    /** True, if the user is a member of the chat */
    isMember: boolean;
    /**
     * Point in time (Unix timestamp) when restrictions will be lifted from the user; 0
     * if never. If the user is restricted for more than 366 days or for less than 30 seconds
     * from the current time, the user is considered to be restricted forever
     */
    restrictedUntilDate: number;
    /** User permissions in the chat */
    permissions: ChatPermissions;
}
