import { FormattedText, InputFileUnion, InputThumbnail } from '@airgram-dev/core';
/** An audio message */
export declare class InputMessageAudioBaseModel {
    _: 'inputMessageAudio';
    /** Audio file to be sent */
    audio: InputFileUnion;
    /** Thumbnail of the cover for the album, if available */
    albumCoverThumbnail: InputThumbnail;
    /** Duration of the audio, in seconds; may be replaced by the server */
    duration: number;
    /** Title of the audio; 0-64 characters; may be replaced by the server */
    title: string;
    /** Performer of the audio; 0-64 characters, may be replaced by the server */
    performer: string;
    /** Audio caption; 0-GetOption("message_caption_length_max") characters */
    caption: FormattedText;
}
