/** A forwarded message */
export declare class InputMessageForwardedBaseModel {
    _: 'inputMessageForwarded';
    /** Identifier for the chat this forwarded message came from */
    fromChatId: number;
    /** Identifier of the message to forward */
    messageId: number;
    /**
     * True, if a game message should be shared within a launched game; applies only to
     * game messages
     */
    inGameShare: boolean;
    /**
     * True, if content of the message needs to be copied without a link to the original
     * message. Always true if the message is forwarded to a secret chat
     */
    sendCopy: boolean;
    /**
     * True, if media caption of the message copy needs to be removed. Ignored if send_copy
     * is false
     */
    removeCaption: boolean;
}
