import { Invoice } from '@airgram-dev/core';
/** A message with an invoice; can be used only by bots and only in private chats */
export declare class InputMessageInvoiceBaseModel {
    _: 'inputMessageInvoice';
    /** Invoice */
    invoice: Invoice;
    /** Product title; 1-32 characters */
    title: string;
    /** Product description; 0-255 characters */
    description: string;
    /** Product photo URL; optional */
    photoUrl: string;
    /** Product photo size */
    photoSize: number;
    /** Product photo width */
    photoWidth: number;
    /** Product photo height */
    photoHeight: number;
    /** The invoice payload */
    payload: string;
    /** Payment provider token */
    providerToken: string;
    /** JSON-encoded data about the invoice, which will be shared with the payment provider */
    providerData: string;
    /** Unique invoice bot start_parameter for the generation of this invoice */
    startParameter: string;
}
