import { FormattedText, InputFileUnion, InputThumbnail } from '@airgram-dev/core';
/** A photo message */
export declare class InputMessagePhotoBaseModel {
    _: 'inputMessagePhoto';
    /** Photo to send */
    photo: InputFileUnion;
    /** Photo thumbnail to be sent, this is sent to the other party in secret chats only */
    thumbnail: InputThumbnail;
    /** File identifiers of the stickers added to the photo, if applicable */
    addedStickerFileIds: number[];
    /** Photo width */
    width: number;
    /** Photo height */
    height: number;
    /** Photo caption; 0-GetOption("message_caption_length_max") characters */
    caption: FormattedText;
    /**
     * Photo TTL (Time To Live), in seconds (0-60). A non-zero TTL can be specified only
     * in private chats
     */
    ttl: number;
}
