import { FormattedText, InputFileUnion, InputThumbnail } from '@airgram-dev/core';
/** A video message */
export declare class InputMessageVideoBaseModel {
    _: 'inputMessageVideo';
    /** Video to be sent */
    video: InputFileUnion;
    /** Video thumbnail, if available */
    thumbnail: InputThumbnail;
    /** File identifiers of the stickers added to the video, if applicable */
    addedStickerFileIds: number[];
    /** Duration of the video, in seconds */
    duration: number;
    /** Video width */
    width: number;
    /** Video height */
    height: number;
    /** True, if the video should be tried to be streamed */
    supportsStreaming: boolean;
    /** Video caption; 0-GetOption("message_caption_length_max") characters */
    caption: FormattedText;
    /**
     * Video TTL (Time To Live), in seconds (0-60). A non-zero TTL can be specified only
     * in private chats
     */
    ttl: number;
}
