import { MessageForwardOriginUnion } from '@airgram-dev/core';
/** Contains information about a forwarded message */
export declare class MessageForwardInfoBaseModel {
    _: 'messageForwardInfo';
    /** Origin of a forwarded message */
    origin: MessageForwardOriginUnion;
    /** Point in time (Unix timestamp) when the message was originally sent */
    date: number;
    /**
     * For messages forwarded to the chat with the current user (saved messages) or to the
     * channel discussion supergroup, the identifier of the chat from which the message
     * was forwarded last time; 0 if unknown
     */
    fromChatId: number;
    /**
     * For messages forwarded to the chat with the current user (saved messages) or to the
     * channel discussion supergroup, the identifier of the original message from which
     * the new message was forwarded last time; 0 if unknown
     */
    fromMessageId: number;
}
