import { Photo } from '@airgram-dev/core';
/** A message with an invoice from a bot */
export declare class MessageInvoiceBaseModel {
    _: 'messageInvoice';
    /** Product title */
    title: string;
    /** Product description */
    description: string;
    /** Product photo; may be null */
    photo?: Photo;
    /** Currency for the product price */
    currency: string;
    /** Product total price in the minimal quantity of the currency */
    totalAmount: number;
    /** Unique invoice bot start_parameter. To share an invoice use the URL https://t.me/{bot_username}?start={start_parameter} */
    startParameter: string;
    /** True, if the invoice is a test invoice */
    isTest: boolean;
    /** True, if the shipping address should be specified */
    needShippingAddress: boolean;
    /** The identifier of the message with the receipt, after the product has been purchased */
    receiptMessageId: number;
}
