import { OrderInfo } from '@airgram-dev/core';
/** A payment has been completed; for bots only */
export declare class MessagePaymentSuccessfulBotBaseModel {
    _: 'messagePaymentSuccessfulBot';
    /**
     * Identifier of the message with the corresponding invoice; can be an identifier of
     * a deleted message
     */
    invoiceMessageId: number;
    /** Currency for price of the product */
    currency: string;
    /** Total price for the product, in the minimal quantity of the currency */
    totalAmount: number;
    /** Invoice payload */
    invoicePayload: string;
    /** Identifier of the shipping option chosen by the user; may be empty if not applicable */
    shippingOptionId: string;
    /** Information about the order; may be null */
    orderInfo?: OrderInfo;
    /** Telegram payment identifier */
    telegramPaymentChargeId: string;
    /** Provider payment identifier */
    providerPaymentChargeId: string;
}
