import { FileTypeUnion, NetworkTypeUnion } from '@airgram-dev/core';
/**
 * Contains information about the total amount of data that was used to send and receive
 * files
 */
export declare class NetworkStatisticsEntryFileBaseModel {
    _: 'networkStatisticsEntryFile';
    /** Type of the file the data is part of */
    fileType: FileTypeUnion;
    /**
     * Type of the network the data was sent through. Call setNetworkType to maintain the
     * actual network type
     */
    networkType: NetworkTypeUnion;
    /** Total number of bytes sent */
    sentBytes: number;
    /** Total number of bytes received */
    receivedBytes: number;
}
