import { PageBlockCaption, Photo } from '@airgram-dev/core';
/** An embedded web page */
export declare class PageBlockEmbeddedBaseModel {
    _: 'pageBlockEmbedded';
    /** Web page URL, if available */
    url: string;
    /** HTML-markup of the embedded page */
    html: string;
    /** Poster photo, if available; may be null */
    posterPhoto?: Photo;
    /** Block width; 0 if unknown */
    width: number;
    /** Block height; 0 if unknown */
    height: number;
    /** Block caption */
    caption: PageBlockCaption;
    /** True, if the block should be full width */
    isFullWidth: boolean;
    /** True, if scrolling should be allowed */
    allowScrolling: boolean;
}
