import { PassportElementTypeUnion } from '@airgram-dev/core';
/** Contains information about a Telegram Passport element that was requested by a service */
export declare class PassportSuitableElementBaseModel {
    _: 'passportSuitableElement';
    /** Type of the element */
    type: PassportElementTypeUnion;
    /** True, if a selfie is required with the identity document */
    isSelfieRequired: boolean;
    /** True, if a certified English translation is required with the document */
    isTranslationRequired: boolean;
    /**
     * True, if personal details must include the user's name in the language of their country
     * of residence
     */
    isNativeNameRequired: boolean;
}
