import { OrderInfo } from '@airgram-dev/core';
/**
 * A new incoming pre-checkout query; for bots only. Contains full information about
 * a checkout
 */
export declare class UpdateNewPreCheckoutQueryBaseModel {
    _: 'updateNewPreCheckoutQuery';
    /** Unique query identifier */
    id: string;
    /** Identifier of the user who sent the query */
    senderUserId: number;
    /** Currency for the product price */
    currency: string;
    /** Total price for the product, in the minimal quantity of the currency */
    totalAmount: number;
    /** Invoice payload */
    invoicePayload: string;
    /** Identifier of a shipping option chosen by the user; may be empty if not applicable */
    shippingOptionId: string;
    /** Information about the order; may be null */
    orderInfo?: OrderInfo;
}
