import { Notification, NotificationGroupTypeUnion } from '@airgram-dev/core';
/** A list of active notifications in a notification group has changed */
export declare class UpdateNotificationGroupBaseModel {
    _: 'updateNotificationGroup';
    /** Unique notification group identifier */
    notificationGroupId: number;
    /** New type of the notification group */
    type: NotificationGroupTypeUnion;
    /** Identifier of a chat to which all notifications in the group belong */
    chatId: number;
    /** Chat identifier, which notification settings must be applied to the added notifications */
    notificationSettingsChatId: number;
    /** True, if the notifications should be shown without sound */
    isSilent: boolean;
    /**
     * Total number of unread notifications in the group, can be bigger than number of active
     * notifications
     */
    totalCount: number;
    /** List of added group notifications, sorted by notification ID */
    addedNotifications: Notification[];
    /** Identifiers of removed group notifications, sorted by notification ID */
    removedNotificationIds: number[];
}
