/** A bot (see https://core.telegram.org/bots) */
export declare class UserTypeBotBaseModel {
    _: 'userTypeBot';
    /** True, if the bot can be invited to basic group and supergroup chats */
    canJoinGroups: boolean;
    /**
     * True, if the bot can read all messages in basic group or supergroup chats and not
     * just those addressed to the bot. In private and channel chats a bot can always read
     * all messages
     */
    canReadAllGroupMessages: boolean;
    /** True, if the bot supports inline queries */
    isInline: boolean;
    /** Placeholder for inline queries (displayed on the client input field) */
    inlineQueryPlaceholder: string;
    /**
     * True, if the location of the user should be sent with every inline query to this
     * bot
     */
    needLocation: boolean;
}
